Subject: Re: [PATCH] ipv6: Fix soft lockup for ipv6 network notifier.

From: Ding Tianhong <[email-masked]>
Date: Thu, 7 Jul 2016 09:42:27 +0800

On 2016/7/6 16:44, Eric Dumazet wrote:
> On Wed, 2016-07-06 at 16:15 +0800, Ding Tianhong wrote:
>> Hi Eric：
>>
>> I had found out that the patch aaf92f(netfilter: conntrack: resched in
>> nf_ct_iterate_cleanup) solve the problem, 
>> this patch add cond_sched() in the nf_ct_iterate_cleanup() which will
>> be called in the net notifier chain every time,
>> and I revert this patch at kernel 4.7-rc4 , it will panic for soft
>> lockup, so I am not sure whether our patch is need,
>> it looks like if I disable the CONFIG for netfilter that would
>> register the nf_ct_iterate_cleanup as notifier, the problem still be
>> exist.
> 
> Well, I do not have conntrack on my kernels, and I can not reproduce the
> issue.
> 
> So I am guessing other patches also solved a scalability issue, between
> 4.1 and 4.7
> 
> I am aware of something that David did for IPv4, but this might help as
> well for IPv6.
> 
> commit fbd40ea0180a2d328c5adc61414dc8bab9335ce2
> ipv4: Don't do expensive useless work during inetdev destroy.
>     

Hi Eric：

I check this patch:
[root@localhost linux]# git name-rev fbd40ea0180a2d328c5adc61414dc8bab9335ce2
fbd40ea0180a2d328c5adc61414dc8bab9335ce2 tags/v4.6-rc1~91^2~63

So the kernel4.7-RC4 already has this patch, but it have no effort if I revert the commit  aaf92f(netfilter: conntrack: resched in
nf_ct_iterate_cleanup), So I don't think David's patch could fix this problem.

Thanks
Ding